ReST endpoints - ReST endpoints - Alfresco - Alfresco Content Connector for Azure - Alfresco/Alfresco-Content-Connector-for-Azure/4.0/Alfresco-Content-Connector-for-Azure/Alfresco-Content-Connector-for-Azure/Configure/Direct-Access-URLs/API/ReST-endpoints - 4.0

Alfresco Content Connector for Azure

Platform
Alfresco
Product
Alfresco Content Connector for Azure
Release
4.0
ft:lastPublication
2026-05-06T14:44:59.414000
ft:locale
en-US
ArchiveStatus
Archived

The following endpoints can be used to send requests to obtain DAUs in Content Services:

  • POST /nodes/{nodeId}/request-direct-access-url
  • POST /nodes/{nodeId}/renditions/{renditionId}/request-direct-access-url
  • POST /nodes/{nodeId}/versions/{versionId}/request-direct-access-url
  • POST /nodes/{nodeId}/versions/{versionId}/renditions/{renditionId}/request-direct-access-url
  • POST /deleted-nodes/{nodeId}/request-direct-access-url
  • POST /deleted-nodes/{nodeId}/renditions/{renditionId}/request-direct-access-url

Optionally, the POST body can specify an attachment flag. A value of true indicates that a download link is required; false indicates an embedded link is required. This defaults to true if it's not specified.

The endpoints return the following type of response for the Azure connector:

{
    "entry": {
        "contentUrl": "https://<storage_account_name>.blob.core.windows.net/<container_name>/<blob_name>?sv=2020-10-02&spr=https&se=2022-02-09T04%3A09%3A40Z&sr=b&sp=r&sig=LkznZiG6u2BUDprdKyk0Hm9XkURG%2BZZp0qy0Ls3kgVY%3D&rscd=attachment%3B%20filename%20%3D%22graph.JPG%22&rsct=image%2Fjpeg",
        "attachment": true,
        "expiryTime": "2022-02-09T04:09:40.638+0000"
    }
}

The length of time for which a direct access URL is valid defaults to 30 seconds if not configured otherwise in alfresco-global.properties.

Method: POST

Response:

Link to the resource wrapped in a JSON Object, which also contains an attachment flag, and the DAU expiration date.

Error codes:

If there's no DAU provider installed in Alfresco (such as the Azure Connector), or DAUs aren't enabled, then a 501 HTTP status code is returned.

Parameters:

  • attachment is an optional flag which controls the download method (attachment URL vs. embedded URL). Defaults to true when not specified, which means the value of the Content-Disposition response header will be attachment.
  • The filename part of the Content-Disposition header will be set in the service layer logic, and can't be controlled by the DAU client.